<script>
export default {
  name: "Documentations",
  computed: {
    documentations () {
      return [...this.$store.getters.documentations];
    }
  },
  created () {
    this.$store.dispatch("documentations");
  }
};
</script>

<template>
  <div class="Documentations">
    <a
      v-for="(documentation, index) in documentations"
      :key="'document-' + index"
      class="document"
      :class="'document-' + index"
      :href="documentation.url"
      target="_blank"
      :title="documentation.proceedingname"
    >
      <p class="name">
        {{ documentation.proceedingname }}
      </p>
      <span class="icon icon-file_download" />
    </a>
  </div>
</template>

<style lang="scss">
@import "../../../scss/_global.scss";

div.Documentations {
  max-height: 315px;
  padding-bottom: 5px;
  overflow-x: hidden;
  overflow-y: auto;

  a.document {
    display: flex;
    flex-direction: row;
    cursor: pointer;
    text-decoration: none;
    position: relative;
    padding: 9px 0px 5px 15px;
    margin-bottom: 5px;

    &.desktop {
      height: 40px;
    }

    &.document-0 {
      background-color: $color_secondary_3;

      &:hover {
        background-color: $color_secondary_4;
      }

      &:focus-visible {
        outline-offset: -3px;
      }
    }

    &.document-1 {
      background-color: $color_secondary_4;

      &:focus-visible {
        outline-offset: -3px;
      }
    }

    &.document-2 {
      background-color: $color_secondary_5;

      &:focus-visible {
        outline-offset: -3px;
      }
    }

    &:hover {
      background-color: $color_secondary_3;
    }

    span.icon {
      @extend %fontdefinition_subline;
      display: inline-block;
      white-space: nowrap;
      padding-top: 3px;
      padding-left: 3px;
      position: relative;
    }

    p {
      @extend %fontdefinition_subline;
      display: inline-block;
      padding-top: 3px;
      padding-left: 3px;
      margin-bottom: 0;

      &.name {
        flex: 1;
        hyphens: auto;
        -moz-hyphens: auto;
        -o-hyphens: auto;
        -webkit-hyphens: auto;
        -ms-hyphens: auto;
      }
    }
  }
}
</style>
